Skip to main content
GET
/
business
/
{business_id}
/
attributes
Google attributes for your business
curl --request GET \
  --url https://api.partoo.co/v2/business/{business_id}/attributes \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/business/{business_id}/attributes"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/business/{business_id}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "attributes": [
    {
      "type": "BOOL",
      "gmb_id": "has_curbside_pickup",
      "value": false
    },
    {
      "type": "BOOL",
      "gmb_id": "has_delivery",
      "value": true
    },
    {
      "type": "ENUM",
      "gmb_id": "wi_fi",
      "value": "free_wi_fi"
    },
    {
      "type": "REPEATABLE_ENUM",
      "gmb_id": "pay_credit_card_types_accepted",
      "value": {
        "set_values": [
          "american_express",
          "discover"
        ],
        "unset_values": []
      }
    },
    {
      "type": "URL",
      "gmb_id": "url_menu",
      "value": "https://www.test.fr"
    },
    {
      "type": "REPEATABLE_URL",
      "gmb_id": "url_order_ahead",
      "value": null
    },
    {
      "type": "REPEATABLE_URL",
      "gmb_id": "url_reservations",
      "value": [
        "https://www.test1.fr",
        "https://www.test2.fr"
      ]
    }
  ]
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

business_id
string
required

Business id.

It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.

Query Parameters

category_name
string

Category for which availabe attributes will be fetched.

Example:

"gcid:restaurant"

country
string

Country for which available attributes will be fetched - use ISO 3166 alpha2 code ("FR", "EN", "IT"). Defaults to the country of the business' address.

Response

OK

attributes
(Boolean · object | Enum · object | Repeatable Enum · object | URL · object | Repeatable URL · object)[]

List of Business Attributes

A Google Attribute

Example:
[
{
"type": "BOOL",
"gmb_id": "has_curbside_pickup",
"value": false
},
{
"type": "BOOL",
"gmb_id": "has_delivery",
"value": true
},
{
"type": "ENUM",
"gmb_id": "wi_fi",
"value": "free_wi_fi"
},
{
"type": "REPEATABLE_ENUM",
"gmb_id": "pay_credit_card_types_accepted",
"value": {
"set_values": ["american_express", "discover"],
"unset_values": []
}
},
{
"type": "URL",
"gmb_id": "url_menu",
"value": "https://www.test.fr"
},
{
"type": "REPEATABLE_URL",
"gmb_id": "url_order_ahead",
"value": null
},
{
"type": "REPEATABLE_URL",
"gmb_id": "url_reservations",
"value": [
"https://www.test1.fr",
"https://www.test2.fr"
]
}
]